<div class="container-back" (click)="download()">
  <button class="btn btn-outline-success my-2 my-sm-0">
    Скачать отчет за текущий месяц
  </button>
</div>
<mat-card>
  <h6 class="title">Работы</h6>
  <mat-grid-list class="table-grid" cols="5" rowHeight="1:2">
    <mat-grid-tile *ngFor="let order of ordersTemp" (click)="openOrder(order)">
      <div class="container-order">
        <div class="auto-img">
          <img class="image-order" [src]="order.works[0].photoBeforeLink" alt="фотография автомобиля"/>
        </div>
        <div class="number-auto">
          <table>
            <tr>
              <td class="n1">{{order.numberPlateFirstLetter}}</td>
              <td class="n2">{{order.numberPlateNumber}}</td>
              <td class="n3">{{order.numberPlateLatLetter}}</td>
              <td class="n4" align="right">
                {{order.numberPlateRegion}}
              </td>
            </tr>
          </table>
        </div>
        <p class="current" *ngIf="!order.status || !order.finishTimeString"> Выполняется с </p>
        <div class="time-order"><p>{{order.startTimeString}}</p>
          <p *ngIf="order.status && order.finishTimeString"> до </p>
          <p *ngIf="order.status && order.finishTimeString"> {{order.finishTimeString}}</p>
        </div>
        <div class="sum-order">{{order.price}},00 руб.
        </div>
      </div>
    </mat-grid-tile>

  </mat-grid-list>

  <mat-paginator [length]="length"
                 [pageSize]="20"></mat-paginator>

</mat-card>
